package com.ruoyi.system.domain;

import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 师傅等级配置对象 worker_level
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public class WorkerLevel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 等级名称 */
    @Excel(name = "等级名称")
    private String title;

    /** 等级 */
    @Excel(name = "等级")
    private Long level;

    /** 达成率 */
    @Excel(name = "达成率")
    private Long ar;

    /** 服务总额 */
    @Excel(name = "服务总额")
    private String totalPrice;

    /** 佣金比例 */
    @Excel(name = "佣金比例")
    private Long cr;

    /** 等级图标 */
    @Excel(name = "等级图标")
    private String image;

    /** 背景图 */
    @Excel(name = "背景图")
    private String bgImage;

    /** 色值 */
    @Excel(name = "色值")
    private String color;

    /** 用户背景图 */
    @Excel(name = "用户背景图")
    private String userBgimg;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date createdAt;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date updatedAt;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date deletedAt;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }

    public void setLevel(Long level) 
    {
        this.level = level;
    }

    public Long getLevel() 
    {
        return level;
    }

    public void setAr(Long ar) 
    {
        this.ar = ar;
    }

    public Long getAr() 
    {
        return ar;
    }

    public void setTotalPrice(String totalPrice) 
    {
        this.totalPrice = totalPrice;
    }

    public String getTotalPrice() 
    {
        return totalPrice;
    }

    public void setCr(Long cr) 
    {
        this.cr = cr;
    }

    public Long getCr() 
    {
        return cr;
    }

    public void setImage(String image) 
    {
        this.image = image;
    }

    public String getImage() 
    {
        return image;
    }

    public void setBgImage(String bgImage) 
    {
        this.bgImage = bgImage;
    }

    public String getBgImage() 
    {
        return bgImage;
    }

    public void setColor(String color) 
    {
        this.color = color;
    }

    public String getColor() 
    {
        return color;
    }

    public void setUserBgimg(String userBgimg) 
    {
        this.userBgimg = userBgimg;
    }

    public String getUserBgimg() 
    {
        return userBgimg;
    }

    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }

    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }

    public void setDeletedAt(Date deletedAt) 
    {
        this.deletedAt = deletedAt;
    }

    public Date getDeletedAt() 
    {
        return deletedAt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("level", getLevel())
            .append("ar", getAr())
            .append("totalPrice", getTotalPrice())
            .append("cr", getCr())
            .append("image", getImage())
            .append("bgImage", getBgImage())
            .append("color", getColor())
            .append("userBgimg", getUserBgimg())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .append("deletedAt", getDeletedAt())
            .toString();
    }
}
